CREATE TABLE cjm_program_type_qualifiers (
    PROGRAM_TYPE_QUALIFIER_ID      NUMBER(18, 0) ,
    PROGRAM_TYPE_QUALIFIER_GUID    VARCHAR2(256) ,
    PROGRAM_TYPE_ID                NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    DATE_QUALIFIER_FLAG            VARCHAR2(4)   ,
    DEFAULT_DATE_FLAG              VARCHAR2(4)   ,
    QUALIFIER_TYPE_CODE            VARCHAR2(120) ,
    DISPLAY_IN_HEADER              VARCHAR2(4)   ,
    DISPLAY_IN_TARGET_MARKET       VARCHAR2(4)   ,
    DISPLAY_IN_MKT_CONDITION       VARCHAR2(4)   ,
    SEED_DATA_SOURCE               VARCHAR2(2048),
    SEEDED_FLAG                    VARCHAR2(4)   ,
    ORA_SEED_SET1                  VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                  VARCHAR2(4)       NOT NULL,
    PROGRAM_TYPE_QUALIFIER_ID      NUMBER(18, 0) ,
    PROGRAM_TYPE_QUALIFIER_GUID    VARCHAR2(256) ,
    PROGRAM_TYPE_ID                NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    QUALIFIER_TYPE_CODE            VARCHAR2(120) ,
    DISPLAY_IN_HEADER              VARCHAR2(4)   ,
    DISPLAY_IN_TARGET_MARKET       VARCHAR2(4)   ,
    DISPLAY_IN_MKT_CONDITION       VARCHAR2(4)   ,
    SEED_DATA_SOURCE               VARCHAR2(2048),
    SEEDED_FLAG                    VARCHAR2(4)   ,
    DATE_QUALIFIER_FLAG            VARCHAR2(4)   ,
    DEFAULT_DATE_FLAG              VARCHAR2(4)   ,
    ORA_SEED_SET1                  VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                  VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_cjm_program_type_qualifiers PRIMARY KEY (PROGRAM_TYPE_QUALIFIER_ID, PROGRAM_TYPE_QUALIFIER_ID)
);
